## checkmd5 0.100

=== Makefile ===
CFLAGS += -std=c17 -Wall -DI18N -fpie -flto -Ofast
LFLAGS += -Wall -pie -flto -Ofast

all: checkmd5 i18n_mo
	strip checkmd5
clean:
	rm -f *.o
	rm -f checkmd5
	rm -rf i18n/mo

OBJS=checkmd5.o md5.o
checkmd5: $(OBJS) version.h
	$(CC) $(LFLAGS) $(OBJS) -o $@
%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

# Internationalisation

LANGS = am ar bg ca cs da de el es et eu fa fi fr he_IL hi hr hu id is it ja kk
LANGS += ko lt mk mr nb nl pl pt pt_BR ro ru sk sl sq sr sv tr uk zh_CN zh_TW

i18n_mo: $(patsubst %, i18n/mo/%/checkmd5.mo, $(LANGS))
i18n/mo/%/checkmd5.mo: i18n/po/%.po
	@mkdir -p i18n/mo/$*
	msgfmt --output-file=$@ $<

i18n_po: $(patsubst %, i18n/po/%.po, $(LANGS))
i18n/po/%.po: i18n/checkmd5.pot
	@mkdir -p i18n/po
	@[ -f "$@" ] && msgmerge --update $@ $< || msginit --input=$< --no-translator --locale= --output=$@
i18n/checkmd5.pot: checkmd5.c
	@mkdir -p i18n
	xgettext --keyword=TR --language=C --add-comments --sort-output -o $@ checkmd5.c

=== debian/changelog ===
checkmd5 (0.100) mx; urgency=medium

  * Initaial release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 25 Sep 2024 16:44:53 +0000

=== debian/control ===
Source: checkmd5
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=10)
Standards-Version: 3.9.8
Vcs-Git: git://github.com/chkboom/checkmd5

Package: checkmd5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Improved MD5 aggregate file checker

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-automatic-dbgsym --parallel 

build:
	dh build
	make

clean:
	dh clean
	make clean
